## org.apache.sling.testing.samples.sampletests
Class OsgiAwareTest

    java.lang.Object
      org.apache.sling.testing.samples.sampletests.OsgiAwareTest

    public class OsgiAwareTest

extends java.lang.Object

Test OSGi services injection

Constructor Summary
`OsgiAwareTest()`

Method Summary
`void` `testBundleContext()`
`void` `testConfigAdmin()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OsgiAwareTest

    public OsgiAwareTest()

Method Detail

### testConfigAdmin

    public void testConfigAdmin()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBundleContext

    public void testBundleContext()

Copyright © 2007-2011 The Apache Software Foundation. All Rights Reserved.